Subject: [bug#55538] [PATCH] gnu: virtuoso-ose: Update to 7.2.7.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 31 May 2022 09:44:45 -0400

Hello,

Roel Janssen <[email-masked]> writes:

> On Wed, 2022-05-25 at 17:51 +0200, Roel Janssen wrote:
>> On Wed, 2022-05-25 at 10:29 -0400, Maxim Cournoyer wrote:
>> > Hi Roel,
>> > 
>> > Roel Janssen <[email-masked]> writes:
>> > 
>> > > Dear Guix,
>> > > 
>> > > I'd like to update Virtuoso OSE to the latest release (see attached patch).
>> > > 
>> > > Other than the version number and checksum bump I noticed that some JAR files made it in the
>> > > build
>> > > output.  I tried removing them from the source tarball using a snippet, but then one needs to
>> > > include a patch for various Makefile.am files and run the autogen.sh script.  I thought this
>> > > was
>> > > simpler and clearer on what's actually achieved.
>> > 
>> > I fear in the future it would be easy to overlook the introduction of
>> > extra bundled jars in the source, that'd get installed.  I feel it'd be
>> > preferable if we removed them all from a source snippet, at the cost of
>> > having to patch the build system (the extra complications you
>> > mentioned).
>> > 
>> > Could you try it and send a revised patch?
>> > 
>> 
>> Thank you for taking a look at it! To be fair, what the patches would do, would be to avoid
>> including the directories that I remove. So removing the current pre-built binaries in a snippet
>> will be equally error-prone.

The way I deal with this is to have an allow list of things to preserve
in the source instead of a deny list; this way if new binaries get added
and need to be handled, the build will break instead of using the
bundled binaries silently.

Thanks for the package update (and to Efraim for picking up the review
where I had left it)!

Maxim